﻿using NodaTime;

namespace Drive.Events.Crm.Clients
{
    public class ClientAddedEvent
    {
        public Guid ClientId { get; set; }
        public int OID { get; set; } // Legacy
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public int OrganisationType { get; set; }
        public string Code { get; set; } = string.Empty;
        public string LegalName { get; set; } = string.Empty;
        public string? TradingName { get; set; }
        public string? Description { get; set; }
        public string? Phone { get; set; }
        public string? Mobile { get; set; }
        public string? Email { get; set; }
        public int? BranchId { get; set; }
        public IEnumerable<int> AccountManagerIds { get; set; } = Enumerable.Empty<int>();
        public int? IndustryId { get; set; }
        public int? AgencyCommissionId { get; set; }
        public int? BookingFeeId { get; set; }
        public string? ActualAddressSuburb { get; set; }
        public string? ActualAddressCity { get; set; }
        public string? ActualAddressPostCode { get; set; }
        public string? ActualAddressDeliveryAddress { get; set; }
        public string? ActualAddressStreet { get; set; }
        public string? PostalAddressSuburb { get; set; }
        public string? PostalAddressCity { get; set; }
        public string? PostalAddressPostCode { get; set; }
        public string? PostalAddressPoBox { get; set; }
        public string? PostalAddressMailCenter { get; set; }
        public bool NationalClient { get; set; }
        public bool NoGiveaways { get; set; }
        public bool OrderNumberRequired { get; set; }
        public string? Website { get; set; }
        public string? ExternalId { get; set; }
    }
}