﻿using NodaTime;

namespace Drive.Events.Finance.Accounts
{
    public class ReceivableAccountCreatedEvent :
        ICorrelatedEvent
    {
        public Guid ReceivableAccountId { get; set; }
        public int OID { get; set; } // Legacy
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }

        public string Code { get; set; } = string.Empty;
        public int OrganisationOid { get; set; }
        public decimal CreditLimit { get; set; }
        public bool AccountStopped { get; set; }
        public string? StatementEmail { get; set; }
        public string? InvoiceEmail { get; set; }
        public string? InternalNotes { get; set; }
        public int StatementFrequency { get; set; }
        public LocalDate? StatementNextDate { get; set; }
        public int PaymentTerms { get; set; }
        public int AccountTypeId { get; set; }
        public int CompanyId { get; set; }
        public int BranchId { get; set; }
        public int DepartmentId { get; set; }
        public int CurrencyId { get; set; }
    }
}