﻿using NodaTime;

namespace Drive.Messages
{
    // TODO move once line is merged?

    public class CancelBookingLinesRequest
    {
        public Guid ContractId { get; set; }
    }

    public class CancelBookingLinesResponse
    {
        public Guid ContractId { get; set; }
    }

    public class ConfirmBookingLinesRequest
    {
        public Guid ContractId { get; set; }
    }

    public class ConfirmBookingLinesResponse
    {
        public Guid ContractId { get; set; }
    }

    public class DuplicateContractBookingLinesRequest
    {
        public Guid SourceContractId { get; set; }
        public Guid DestinationContractId { get; set; }
    }

    public class DuplicateContractBookingLinesResponse
    {
        public Guid DestinationContractId { get; set; }
    }

    public abstract class DuplicateContractBookingLinesMessage
    {
        public Guid DestinationContractId { get; set; }
    }

    public class DuplicateSortOrderMessage : DuplicateContractBookingLinesMessage { }

    public class SplitBookingLinesRequest
    {
        public Guid SourceContractId { get; set; }
        public Guid DestinationContractId { get; set; }
        public LocalDate SplitFrom { get; set; }
    }

    public class SplitBookingLinesResponse
    {
        public Guid DestinationContractId { get; set; }
    }

    public class ConfirmChargeLinesRequest
    {
        public Guid ContractId { get; set; }
    }

    public class ConfirmChargeLinesResponse
    {
        public Guid ContractId { get; set; }
    }

    public class ConfirmCostLinesRequest
    {
        public Guid ContractId { get; set; }
    }

    public class ConfirmCostLinesResponse
    {
        public Guid ContractId { get; set; }
    }

    public class SplitChargeLinesRequest
    {
        public Guid SourceContractId { get; set; }
        public Guid DestinationContractId { get; set; }
        public LocalDate SplitFrom { get; set; }
    }

    public class SplitChargeLinesResponse
    {
        public Guid DestinationContractId { get; set; }
    }

    public class SplitCostLinesRequest
    {
        public Guid SourceContractId { get; set; }
        public Guid DestinationContractId { get; set; }
        public LocalDate SplitFrom { get; set; }
    }

    public class SplitCostLinesResponse
    {
        public Guid DestinationContractId { get; set; }
    }
}
